/**
 * Copyright (c) 2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.samples.rest.edm;

import javax.xml.namespace.QName;

public interface Constants {

    public static final String EDM_NAMESPACE = "http://petals.ow2.org/bc/rest/edm";

    public static final String OP_NAME_CONSULTER = "consulter";

    public static final QName OP_CONSULTER = new QName(EDM_NAMESPACE, OP_NAME_CONSULTER);

    public static final String OP_NAME_GET_METADATA_BY_JSON = "get-metadata-via-json";

    public static final QName OP_GET_METADATA_BY_JSON = new QName(EDM_NAMESPACE, OP_NAME_GET_METADATA_BY_JSON);

    public static final String OP_NAME_RESET_METADATAS_BY_JSON = "reset-metadatas-via-json";

    public static final QName OP_RESET_METADATAS_BY_JSON = new QName(EDM_NAMESPACE, OP_NAME_RESET_METADATAS_BY_JSON);

}
